# Get ULightHost package price - GetULHostInstancePrice

## Overview

Get ULightHost package price






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetULHostInstancePrice`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **BundleId** | string | Package ID |**Yes**|
| **ChargeType** | string | Get the price for the specified billing mode. Enumeration values: <br /><br /> > Year, pay annually; <br /><br /> > Month. When not specified, return the prices for all billing modes. |No|
| **Count** | int | Number of purchases, range [1,5]. Default: 1 |No|
| **Quantity** | int | Purchase duration. Default: 1. Purchase until the end of the month is not supported. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **PriceSet** | array[[*ULHostPriceSet*](#ulhostpriceset)] | PriceSet |**Yes**|

#### Data Model


#### ULHostPriceSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ChargeType** | string | Billing Mode |No|
| **Price** | float | Price |No|
| **OriginalPrice** | float | Original Price |No|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=GetULHostInstancePrice
&Region=cn-zj
&ProjectId=CGVOWzNf
&BundleId=ogJbCxRp
&ChargeType=EuTiscZq
&Count=4
&Quantity=2
```

### Response Example
    
```json
{
  "Action": "GetULHostInstancePriceResponse",
  "Message": "vKVZkQZk",
  "PriceSet": [
    {
      "ChargeType": "KiRfqWCb",
      "ListPrice": 6.67657,
      "ListPriceDetail": {},
      "OriginalPrice": 8.63741,
      "OriginalPriceDetail": {},
      "Price": 4.88968,
      "PriceDetail": {}
    }
  ],
  "RetCode": 0
}
```





